<?php

// -- Include css,js files for Front-End
if ( ! function_exists('gs_wpposts_enqueue_front_scripts') ) {
    function gs_wpposts_enqueue_front_scripts() {
        if (!is_admin()) {
            $media = 'all';

            wp_register_script('gsposts-isotop-js', GSWPPOSTS_FILES_URI . '/assets/js/isotope.pkgd.min.js', array('jquery'), GSWPPOSTS_VERSION , true );
            wp_enqueue_script('gsposts-isotop-js');

            wp_register_script('gsposts-owlcarousel-js', GSWPPOSTS_FILES_URI . '/assets/js/owl.carousel.min.js', array('jquery'), GSWPPOSTS_VERSION , true );
            wp_enqueue_script('gsposts-owlcarousel-js');

            wp_register_script('gsposts-magnific-pop-js', GSWPPOSTS_FILES_URI . '/assets/js/jquery.magnific-popup.min.js', array('jquery'), GSWPPOSTS_VERSION , true );
            wp_enqueue_script('gsposts-magnific-pop-js');

            wp_register_script('gsposts-justified-gal-js', GSWPPOSTS_FILES_URI . '/assets/js/jquery.justifiedGallery.min.js', array('jquery'), GSWPPOSTS_VERSION , true );
            wp_enqueue_script('gsposts-justified-gal-js');

            wp_register_script('gsposts-colorbox-js', GSWPPOSTS_FILES_URI . '/assets/js/jquery.colorbox-min.js', array('jquery'), GSWPPOSTS_VERSION , true );
            wp_enqueue_script('gsposts-colorbox-js');
            
            wp_register_script('gswppost-js', GSWPPOSTS_FILES_URI . '/assets/js/gswpposts_custom.js', array('jquery'), GSWPPOSTS_VERSION , true);
            wp_enqueue_script('gswppost-js');

            wp_register_style('gsposts-magnific-css', GSWPPOSTS_FILES_URI . '/assets/css/magnific-popup.css','', GSWPPOSTS_VERSION , $media );
            wp_enqueue_style('gsposts-magnific-css');

            wp_register_style('gsposts-owlcarousel-css', GSWPPOSTS_FILES_URI . '/assets/css/owl.carousel.css','', GSWPPOSTS_VERSION , $media );
            wp_enqueue_style('gsposts-owlcarousel-css');

            wp_register_style('gsposts-owlcarousel-theme-css', GSWPPOSTS_FILES_URI . '/assets/css/owl.theme.default.css','', GSWPPOSTS_VERSION , $media );
            wp_enqueue_style('gsposts-owlcarousel-theme-css');

            wp_register_style('gspostsbootstrap-css', GSWPPOSTS_FILES_URI . '/assets/css/gswpposts_custom_bootstrap.css','', GSWPPOSTS_VERSION , $media );
            wp_enqueue_style('gspostsbootstrap-css');

            wp_register_style('gspostsfa-css', GSWPPOSTS_FILES_URI . '/assets/fa-icons/css/font-awesome.min.css','', GSWPPOSTS_VERSION , $media );
            wp_enqueue_style('gspostsfa-css');

            wp_register_style('gsposts-justified-style', GSWPPOSTS_FILES_URI . '/assets/css/justifiedGallery.min.css','', GSWPPOSTS_VERSION , $media );
            wp_enqueue_style('gsposts-justified-style');

            wp_register_style('gsposts-colorbox-css', GSWPPOSTS_FILES_URI . '/assets/css/colorbox.css','', GSWPPOSTS_VERSION , $media );
            wp_enqueue_style('gsposts-colorbox-css');

            wp_register_style('gsposts-gswppost-custom-css', GSWPPOSTS_FILES_URI . '/assets/css/gswpposts_custom.css','', GSWPPOSTS_VERSION , $media );
            wp_enqueue_style('gsposts-gswppost-custom-css');

            wp_enqueue_style('dashicons');
            wp_enqueue_script('masonry');
        }
    }
    add_action( 'wp_enqueue_scripts', 'gs_wpposts_enqueue_front_scripts' );
}


// -- Include css,js files for Back-End (Dashboard)
if ( !function_exists('gs_wpposts_enqueue_admin_styles') ) {
    function gs_wpposts_enqueue_admin_styles() {
        $media = 'all';
        wp_register_style('gswppost_switchButton_css', GSWPPOSTS_FILES_URI . '/admin/css/gswppost.jquery.switchButton.css','', GSWPPOSTS_VERSION);
        wp_enqueue_style('gswppost_switchButton_css');

        wp_enqueue_script('jquery-ui-core');
        wp_enqueue_script('jquery-ui-widget');
        wp_enqueue_script('jquery-effects-core');

        wp_register_script( 'gs_wppost_SwitchButtonJs', GSWPPOSTS_FILES_URI . '/admin/js/gswppost.jquery.switchButton.js', array( 'jquery', 'jquery-ui-core', 'jquery-ui-widget', 'jquery-effects-core' ), GSWPPOSTS_VERSION, false );
        wp_enqueue_script('gs_wppost_SwitchButtonJs');
    }
    add_action( 'admin_enqueue_scripts', 'gs_wpposts_enqueue_admin_styles' );
}

// -- wppost Custom CSS
if ( !function_exists('gs_wppost_custom_style')) {
    function gs_wppost_custom_style() {

        $gs_wpposts_custom_css = gs_wpposts_getoption('gs_wppost_custom_css', 'gs_wpposts_style_settings', '');

        if( isset($gs_wpposts_custom_css) && !empty($gs_wpposts_custom_css) ){
            ?>
                <style type="text/css">
                    <?php echo $gs_wpposts_custom_css;?>
                </style>
            <?php
        }
    }
   add_action( 'gs_wppost_custom_css','gs_wppost_custom_style' );
}