<?php
/*
 * GS wppost - Theme Filter
 * @author Golam Samdani <samdani1997@gmail.com>
 *
 */

//-- Function for GS wppost Category

if ( !function_exists( 'gs_wppost_category' ) ) {
	function gs_wppost_category(){
	    global $post;
	    $terms = get_the_terms( $post->ID, 'category' );

	    if ( $terms && ! is_wp_error( $terms ) ) :
	            $gs_wppost_cats_link = array();

	            foreach ( $terms as $term ) {
	                $gs_wppost_cats_link[] = $term->name;
	            }

	            $gs_wppost_cats_link = str_replace(' ', '-', $gs_wppost_cats_link);
	            $gs_wppost_cats = join( " ", $gs_wppost_cats_link );
	            $gs_wppost_cats = strtolower($gs_wppost_cats);
	    endif;
	    return $gs_wppost_cats;
	}
}

$gswppost_wppost_filter_name = gs_wpposts_getoption('gs_wppost_filter_name', 'gs_wpposts_style_settings', 'All');

$output .= '<div class="container">';
$output .= '<div class="row clearfix gs_wpposts " id="gs_wpposts'.get_the_id().'">';
    //-- wppost cats for filtering
    $gs_wppost_terms = get_terms('category');
    $output .= '<ul class="gs-wppost-filter-cats" style="display:'. $cats_name .';">';
        $output .= '<li class="filter" data-filter="all">'. $gswppost_wppost_filter_name .'</li>';
        foreach ( $gs_wppost_terms as $term ) {
            $gs_wppost_termname = strtolower($term->name);
            $gs_wppost_termname = str_replace(' ', '-', $gs_wppost_termname);

            $output .= '<li class="filter" data-filter="' . '.' . $gs_wppost_termname . '">' . $term->name . '</li>';
            }
    $output .= '</ul>';
    //-- End wppost cats for filtering

    if ( $GLOBALS['gs_wpposts_loop']->have_posts() ) {
    	$output .= '<div class="gs-all-items-filter-wrapper">';
        while ( $GLOBALS['gs_wpposts_loop']->have_posts() ) {
            $GLOBALS['gs_wpposts_loop']->the_post();
            $gswppost_post_date      = get_the_date('M j, Y');
            $gswppost_post_author    = get_the_author_posts_link();
            $gswppost_post_tag       = get_the_tag_list('<span> ',', ','</span>');
            $gswppost_post_category  = get_the_category_list( __( ', ', 'gswpposts' ) );

            $gswppost_post_id        = get_the_id();
            $gswppost_wppost_id      = get_post_thumbnail_id();
            $gswppost_wppost_url     = wp_get_attachment_image_src($gswppost_wppost_id, 'gs-square-thumb', true);
            $gswppost_wppost_thumb   = $gswppost_wppost_url[0];
            $gswppost_wppost_alt     = get_post_meta($gswppost_wppost_id,'_wp_attachment_image_alt',true);
            $gswppost_wppost_title           = get_the_title();
            $gswppost_wppost_details         = get_the_content();
            $gswppost_wppost_details_link    = get_the_permalink();
            // $gswppost_wppost_details         = (strlen($gswppost_wppost_details) > 50) ? substr($gswppost_wppost_details,0, $desc_limit ).'...<a href="'.$gswppost_wppost_details_link.'" target="_self">'.$gswppost_op_wppost_details_readmore.'</a>' : $gswppost_wppost_details;

            $output .= '<div class="gs-filter-single-item col-md-'.$cols.' col-sm-6 col-xs-6 '.gs_wppost_category().'">';
                $output .= '<div class="single-wppost single-wppost-pop-base center">'; // start single wppost
                    $output .= '<a class="popup-link" href="#gs_wppost_popup_'.get_the_id().'" data-effect="">'; // Start Link
                        if ( has_post_thumbnail() )
                            $output .= '<img src="'. $gswppost_wppost_thumb .'" alt="'. $gswppost_wppost_alt .'"/>';
                        else {
                            $output .= '<img src="' . GSWPPOSTS_FILES_URI . '/assets/img/no_img.png" class=""/>';
                        }
                        $output .= '<div class="gs_wppost_overlay"><i class="fa fa-external-link"></i></div>';
                    $output .= '</a>'; // End Link

                    $output .= '<div class="single-wppost-title">'; // start Name profession
                        if ( 'on' ==  $gswppost_op_wppost_title ) :
                            $output.= '<div class="gs-wppost-name">'. get_the_title() .'</div>';
                        endif;
                       
                        if ( !empty( $gswppost_post_author ) && 'on' ==  $gswppost_op_author ) :
                            $output.= '<span class="gs-wppost-author"><span class="dashicons dashicons-admin-users"></span> '. $gswppost_post_author.'</span>';
                        endif;
                        if ( !empty( $gswppost_post_date )  && 'on' ==  $gswppost_op_date ) :
                            $output.= '<span class="gs-wppost-date" > <span class="dashicons dashicons-calendar-alt"></span> '. $gswppost_post_date .'</span>';
                        endif;
                    $output .= '</div>'; // End Title
                   
                    // start Popup
                    $output .= '<div id="gs_wppost_popup_'.get_the_id().'" class="wppost-popup-layer white-popup mfp-hide mfp-with-anim ">';
                        $output .= '<div class="wppost-popup-img center">'; //start popup img
                            if ( has_post_thumbnail() )
                            $output .= '<a href='.$gswppost_wppost_details_link.' target="_self"><img src="'. $gswppost_wppost_thumb .'" alt="'. $gswppost_wppost_alt .'" /></a>';
                            else {
                                $output .= '<img src="' . GSWPPOSTS_FILES_URI . '/assets/img/no_img.png" class=""/>';
                            }
                        $output .= '</div>'; // end popup Img
                        $output .= '<div class="wppost-popup-info">'; // start wppost popup info
                            if ( !empty( $gswppost_wppost_title ) && 'on' ==  $gswppost_op_wppost_title ) :
                            	$output.= '<div class="gs-wppost-name"><a href='.$gswppost_wppost_details_link.' target="_self">'. $gswppost_wppost_title .'</a></div>';
                            endif;

                            $output .= '<div class="author-date">';
                                if ( !empty( $gswppost_post_author ) && 'on' ==  $gswppost_op_author ) :
                                    $output.= '<span class="gs-wppost-author"><span class="dashicons dashicons-admin-users"></span> '. $gswppost_post_author.'</span>';
                                endif;
                                if ( !empty( $gswppost_post_date )  && 'on' ==  $gswppost_op_date ) :
                                    $output.= '<span class="gs-wppost-date" > <span class="dashicons dashicons-calendar-alt"></span> '. $gswppost_post_date .'</span>';
                                endif;
                                if ( !empty( $gswppost_post_category ) && 'on' ==  $gswppost_op_category ) :
                                    $output.= '<span class="gs-wppost-common-category"> <span class="dashicons dashicons-portfolio"></span> '. $gswppost_post_category .'</span>';
                                endif;
                            $output .= '</div>'; // end author-date

                            if ( !empty( $gswppost_wppost_details ) && 'on' ==  $gswppost_op_wppost_details ) :
                                $output.= '<div class="gs-wppost-details justify">'. $gswppost_wppost_details .'</div>';
                            endif;
                            
                            if ( !empty( $gswppost_post_tag ) && 'on' ==  $gswppost_op_tag ) :
                                $output.= '<div class="gs-wppost-tag"><span class="dashicons dashicons-tag"></span>'. $gswppost_post_tag .'</div>';
                            endif;
                        $output .= '</div>'; // end wppost popup info
                    $output .= '</div>'; // end popup
                    // Popup end

                $output .= '</div>'; // end single wppost
            $output .= '</div>'; // end col

            } // end while loop
            do_action('gs_wppost_custom_css');

            $output .= '</div>'; //End gs-all-items-filter-wrapper
        } else {
            $output .= "No Post Added!";
        }

    wp_reset_postdata();

$output .= '</div>'; // end row
$output .= '</div>'; // end container
return $output;